Name | Type | Default |
absolutePositionX
|
Number
|
0
|
Sets or gets the absolutePositionX property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [absolutePositionX]="20"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
absolutePositionY
|
Number
|
0
|
Sets or gets the absolutePositionY property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [absolutePositionY]="20"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
autoHide
|
Boolean
|
true
|
Sets or gets the autoHide property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [autoHide]="false"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
autoHideDelay
|
Number
|
3000
|
Sets or gets the autoHideDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [autoHideDelay]="100"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
animationShowDelay
|
String | Number
|
'fast'
|
Sets or gets the animationShowDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [animationShowDelay]="2000"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
animationHideDelay
|
String | Number
|
'fast'
|
Sets or gets the animationHideDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [animationHideDelay]="2000"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
content
|
String
|
''
|
Sets or gets the content property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
closeOnClick
|
Boolean
|
true
|
Sets or gets the closeOnClick property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [closeOnClick]="false"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [disabled]="true"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
enableBrowserBoundsDetection
|
Boolean
|
true
|
Sets or gets the enableBrowserBoundsDetection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [enableBrowserBoundsDetection]="true"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
height
|
String | Number
|
'auto'
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [height]="30"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
left
|
Number
|
0
|
Sets or gets the left property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [left]="100"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
name
|
String
|
''
|
Sets or gets the name property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
opacity
|
Number
|
0.9
|
Sets or gets the opacity property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [opacity]="0.5"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
position
|
enum:TooltipPosition
|
'default'
|
enum TooltipPosition { top, bottom, left, right, top-left, bottom-left, top-right, bottom-right, absolute, mouse, mouseenter, default } Sets or gets the position property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [rtl]="true"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
showDelay
|
Number
|
100
|
Sets or gets the showDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [showDelay]="200"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
showArrow
|
Boolean
|
true
|
Sets or gets the showArrow property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [showArrow]="false"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
top
|
String | Number
|
0
|
Sets or gets the top property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [top]="100"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
trigger
|
enum:TooltipTrigger
|
'hover'
|
enum TooltipTrigger { hover, click } Sets or gets the trigger property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [trigger]="'click'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [theme]="'energyblue'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
width
|
String | Number
|
'auto'
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'" [width]="200"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
|
close
|
Event
|
|
This event is triggered when the tooltip is closed (hidden).
Code examples
Bind to the close event of jqxTooltip.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip(onClose)="Close($event)" [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
closing
|
Event
|
|
This event is triggered when the tooltip is closing.
Code examples
Bind to the closing event of jqxTooltip.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip(onClosing)="Closing($event)" [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent { Closing(event: any): void
|
open
|
Event
|
|
This event is triggered when the tooltip is opened (shown).
Code examples
Bind to the open event of jqxTooltip.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip(onOpen)="Open($event)" [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent {
|
opening
|
Event
|
|
This event is triggered when the tooltip is opening.
Code examples
Bind to the opening event of jqxTooltip.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip(onOpening)="Opening($event)" [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent { Opening(event: any): void
|
|
Name | Return Type | Arguments |
close
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTooltip') myTooltip: jqxTooltipComponent;
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTooltip') myTooltip: jqxTooltipComponent; ngAfterViewInit(): void { this.myTooltip.destroy();
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTooltip') myTooltip: jqxTooltipComponent;
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTooltip #myTooltip [position]="'mouse'" [name]="'movieTooltip'" [content]="'The Amazing Spider-man'"> <img src='../images/The_Amazng_Spider_Man.jpeg' /> </jqxTooltip> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTooltip') myTooltip: jqxTooltipComponent; ngAfterViewInit(): void { this.myTooltip.refresh();
|

Name | Type | Default |
absolutePositionX
|
number
|
0
|
Sets or gets the tooltip's horizontal position if the position property is set to 'absolute'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'absolute'} absolutePositionX={20}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
absolutePositionY
|
number
|
0
|
Sets or gets the tooltip's vertical position if the position property is set to 'absolute'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'absolute'} absolutePositionY={20}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoHide
|
boolean
|
true
|
Sets or gets whether the tooltip will automatically hide after duration equal to the autoHideDelay property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'bottom'} autoHide={false}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoHideDelay
|
number
|
3000
|
Sets or gets the duration after which the tooltip automatically hides (works only if the autoHide property is set to true). If autoHideDelay is set to 0, the tooltip hides only after the mouse has left the parent element.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} autoHideDelay={100}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationShowDelay
|
number | string
|
'fast'
|
Sets or gets the duration of the tooltip animation at show.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} animationShowDelay={2000}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationHideDelay
|
number | string
|
'fast'
|
Sets or gets the duration of the tooltip animation at hide.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} animationHideDelay={2000}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
content
|
string
|
''
|
Sets or gets the content of jqxTooltip. It can be either plain text or HTML code.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeOnClick
|
boolean
|
true
|
Sets or gets whether the tooltip will close if it is clicked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} closeOnClick={false}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the tooltip is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} disabled={true}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableBrowserBoundsDetection
|
boolean
|
true
|
Sets or gets whether jqxTooltip will be hidden if it leaves the browser bounds or will be offset so that it is always within the browser's bounds and visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} enableBrowserBoundsDetection={false}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
'auto'
|
Sets or gets the height of jqxTooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} height={30}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
left
|
number
|
0
|
Sets or gets the horizontal offset of jqxTooltip based on the position property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'bottom'} left={100}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
name
|
string
|
''
|
Sets or gets the name of the tooltip's group. Only one tooltip from a group can be shown at a time. By default, all tooltips are in a single group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} name={'tooltipGroup1'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
opacity
|
number
|
0.9
|
Sets or gets the tooltip's opacity.The value must be between 0 and 1.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} opacity={0.5}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
position
|
TooltipPosition
|
'default'
|
TooltipPosition: "top" | "bottom" | "left" | "right" | "top-left" | "bottom-left" | "top-right" | "bottom-right" | "absolute" | "mouse" | "mouseenter" | "default"
Sets or gets the position of jqxTooltip.
Possible Values:
'top' - the tooltip shows above the host element
'bottom' - the tooltip shows below the host element
'left' - the tooltip shows at the left of the host element
'right' - the tooltip shows at the right of the host element
'top-left' - the tooltip shows at the top-left side of the host element
'bottom-left' - the tooltip shows at the bottom-left side of the host element
'top-right' - the tooltip shows at the top-right side of the host element
'bottom-right' - the tooltip shows at the bottom-right side of the host element
'absolute' - the tooltip shows at an absolute position on screen, defined by the coordinate properties absolutePositionX and absolutePositionY
'mouse' - the tooltip shows after a short period of time at the position of the mouse cursor
'mouseenter' - the tooltip shows where the mouse cursor has entered the host element
'default' - the tooltip shows at the bottom-right side of the host element but does not make use of the left and top properties
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets whether the jqxTooltip's right-to-left support is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} rtl={true}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showDelay
|
number
|
100
|
Sets or gets the duration after which the tooltip will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} showDelay={200}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showArrow
|
boolean
|
true
|
Sets or gets whether the tooltip's arrow will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} showArrow={false}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
top
|
number | string
|
0
|
Sets or gets the vertical offset of jqxTooltip based on the position property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} top={100}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
trigger
|
TooltipTrigger
|
'hover'
|
TooltipTrigger: "hover" | "click" | "none"
Sets or gets the way of triggering the tooltip.
Possible Values:
'hover' - the tooltip shows immeadiately after hovering over the host element.
'click' - the tooltip shows when the host element is clicked
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} trigger={'click'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} theme={'material'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
number | string
|
'auto'
|
Sets or gets the width of jqxTooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'} width={200}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
close
|
Event
|
|
This event is triggered when the tooltip is closed (hidden).
Code examples
Bind to the close event of jqxTooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} onClose={this.onClose} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closing
|
Event
|
|
This event is triggered when the tooltip is closing.
Code examples
Bind to the closing event of jqxTooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} onClosing={this.onClosing} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } private onClosing(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the tooltip is opened (shown).
Code examples
Bind to the open event of jqxTooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} onOpen={this.onOpen} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
opening
|
Event
|
|
This event is triggered when the tooltip is opening.
Code examples
Bind to the opening event of jqxTooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public render() { return ( <JqxTooltip ref={this.myTooltip} onOpening={this.onOpening} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } private onOpening(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
close
|
index
|
|
Specifies a time before the tooltip closes. If it is not set, the tooltip closes immediately.
|
destroy
|
None
|
|
Destroys the tooltip by removing it from the DOM.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public componentDidMount(): void { this.myTooltip.current!.destroy(); } public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
left, top
|
|
Opens the tooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public componentDidMount(): void { this.myTooltip.current!.open(); } public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the tooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTooltip, { ITooltipProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtooltip'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, ITooltipProps> { private myTooltip = React.createRef <JqxTooltip>(); public componentDidMount(): void { this.myTooltip.current!.refresh(); } public render() { return ( <JqxTooltip ref={this.myTooltip} content={ 'This is a jqxButton'} position={'mouse'}> <JqxButton :width="500">Hover to see the tooltip </JqxButton> </JqxTooltip> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
absolutePositionX
|
Number
|
0
|
Sets or gets the tooltip's horizontal position if the position property is set to 'absolute'.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'absolute'" :absolutePositionX="20"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
absolutePositionY
|
Number
|
0
|
Sets or gets the tooltip's vertical position if the position property is set to 'absolute'.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'absolute'" :absolutePositionY="20"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
autoHide
|
Boolean
|
true
|
Sets or gets whether the tooltip will automatically hide after duration equal to the autoHideDelay property.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'bottom'" :autoHide="false"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
autoHideDelay
|
Number
|
3000
|
Sets or gets the duration after which the tooltip automatically hides (works only if the autoHide property is set to true). If autoHideDelay is set to 0, the tooltip hides only after the mouse has left the parent element.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :autoHideDelay="100"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
animationShowDelay
|
Number
|
'fast'
|
Sets or gets the duration of the tooltip animation at show.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :animationShowDelay="2000"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
animationHideDelay
|
Number
|
'fast'
|
Sets or gets the duration of the tooltip animation at hide.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :animationHideDelay="2000"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
content
|
String
|
''
|
Sets or gets the content of jqxTooltip. It can be either plain text or HTML code.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
closeOnClick
|
Boolean
|
true
|
Sets or gets whether the tooltip will close if it is clicked.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :closeOnClick="false"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
disabled
|
Boolean
|
false
|
Sets or gets whether the tooltip is disabled.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :disabled="true"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
enableBrowserBoundsDetection
|
Boolean
|
true
|
Sets or gets whether jqxTooltip will be hidden if it leaves the browser bounds or will be offset so that it is always within the browser's bounds and visible.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :enableBrowserBoundsDetection="false"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
height
|
Number | String
|
'auto'
|
Sets or gets the height of jqxTooltip.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :height="30"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
left
|
Number
|
0
|
Sets or gets the horizontal offset of jqxTooltip based on the position property.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'bottom'" :left="100"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
name
|
String
|
''
|
Sets or gets the name of the tooltip's group. Only one tooltip from a group can be shown at a time. By default, all tooltips are in a single group.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :name="'tooltipGroup1'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
opacity
|
Number
|
0.9
|
Sets or gets the tooltip's opacity.The value must be between 0 and 1.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :opacity="0.5"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
position
|
String
|
'default'
|
Sets or gets the position of jqxTooltip.
Possible Values:
'top' - the tooltip shows above the host element
'bottom' - the tooltip shows below the host element
'left' - the tooltip shows at the left of the host element
'right' - the tooltip shows at the right of the host element
'top-left' - the tooltip shows at the top-left side of the host element
'bottom-left' - the tooltip shows at the bottom-left side of the host element
'top-right' - the tooltip shows at the top-right side of the host element
'bottom-right' - the tooltip shows at the bottom-right side of the host element
'absolute' - the tooltip shows at an absolute position on screen, defined by the coordinate properties absolutePositionX and absolutePositionY
'mouse' - the tooltip shows after a short period of time at the position of the mouse cursor
'mouseenter' - the tooltip shows where the mouse cursor has entered the host element
'default' - the tooltip shows at the bottom-right side of the host element but does not make use of the left and top properties
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets whether the jqxTooltip's right-to-left support is enabled.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :rtl="true"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
showDelay
|
Number
|
100
|
Sets or gets the duration after which the tooltip will be shown.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :showDelay="200"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
showArrow
|
Boolean
|
true
|
Sets or gets whether the tooltip's arrow will be shown.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :showArrow="false"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
top
|
Number
|
0
|
Sets or gets the vertical offset of jqxTooltip based on the position property.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :top="100"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
trigger
|
String
|
'hover'
|
Sets or gets the way of triggering the tooltip.
Possible Values:
'hover' - the tooltip shows immeadiately after hovering over the host element.
'click' - the tooltip shows when the host element is clicked
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :trigger="'click'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :theme="'material'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
width
|
Number | String
|
'auto'
|
Sets or gets the width of jqxTooltip.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'" :width="200"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
|
|
close
|
Event
|
|
This event is triggered when the tooltip is closed (hidden).
Code examples
Bind to the close event of jqxTooltip.
<template> <JqxTooltip ref="myTooltip" @close="onClose($event)" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, methods: { onClose: function (event) { alert( 'do something...');
|
closing
|
Event
|
|
This event is triggered when the tooltip is closing.
Code examples
Bind to the closing event of jqxTooltip.
<template> <JqxTooltip ref="myTooltip" @closing="onClosing($event)" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, methods: { onClosing: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the tooltip is opened (shown).
Code examples
Bind to the open event of jqxTooltip.
<template> <JqxTooltip ref="myTooltip" @open="onOpen($event)" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, methods: { onOpen: function (event) { alert( 'do something...');
|
opening
|
Event
|
|
This event is triggered when the tooltip is opening.
Code examples
Bind to the opening event of jqxTooltip.
<template> <JqxTooltip ref="myTooltip" @opening="onOpening($event)" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, methods: { onOpening: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
close
|
index
|
None
|
Specifies a time before the tooltip closes. If it is not set, the tooltip closes immediately.
<template> <div> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'bottom'" :autoHide="false"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> <JqxButton style="margin-top: 20px" :width="80" @click="close()">Close</JqxButton> </div> </template><script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, methods: { close: function () { this.$refs.myTooltip.close();
|
destroy
|
None
|
None
|
Destroys the tooltip by removing it from the DOM.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, mounted: function () { this.$refs.myTooltip.destroy();
|
open
|
left, top
|
None
|
Opens the tooltip.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, mounted: function () { this.$refs.myTooltip.open();
|
refresh
|
None
|
None
|
Refreshes the tooltip.
<template> <JqxTooltip ref="myTooltip" :content="'This is a jqxButton'" :position="'mouse'"> <JqxButton :width="500">Hover to see the tooltip</JqxButton> </JqxTooltip> </template>
<script> import JqxTooltip from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtooltip.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTooltip, JqxButton }, mounted: function () { this.$refs.myTooltip.refresh();
|